import WWWCMouseHandler from '@/sliceViewer/Viewer/Handler/WWWCMouseHandler';
import SliceStackHandler from '@/sliceViewer/Viewer/Handler/SliceStackHandler';
import ZoomHandler from '@/sliceViewer/Viewer/Handler/ZoomHandler';
import CrosshairsHandler from '@/sliceViewer/Viewer/Handler/CrosshairsHandler';
import MoveHandler from '@/sliceViewer/Viewer/Handler/MoveHandler';
import RulerHandler from '@/sliceViewer/Viewer/Handler/RulerHandler';
export declare enum CLICK_WAY {
    LEFT_CLICK = 0,
    RIGHT_CLICK = 1,
    MIDDLE_CLICK = 2
}
export declare enum EVENT_Model {
    CROSSHAIRS = 0,
    WWWC = 1,
    ZOOM = 2,
    STACK = 3,
    MOVE = 4,
    RULER = 5
}
export default class MouseEvent {
    leftClick: EVENT_Model;
    rightClick: EVENT_Model;
    middleClick: EVENT_Model;
    WWWCMouseHandler: WWWCMouseHandler;
    sliceStackHandler: SliceStackHandler;
    zoomHandler: ZoomHandler;
    crosshairsHandler: CrosshairsHandler;
    moveHandler: MoveHandler;
    rulerHandler: RulerHandler;
    constructor(props: any);
    getMouseHandler: (clickWay?: CLICK_WAY) => WWWCMouseHandler | SliceStackHandler | ZoomHandler | CrosshairsHandler | MoveHandler | RulerHandler;
    getMouseHandlerByEventModel: (eventModel: EVENT_Model) => WWWCMouseHandler | SliceStackHandler | ZoomHandler | CrosshairsHandler | MoveHandler | RulerHandler;
    setEventHandler: (clickWay: CLICK_WAY, eventModel: EVENT_Model) => void;
}
