import SliceViewer from "./SliceViewer";
import LayoutConstant from './LayoutConstant';
declare type screenProps = {
    parentDom: HTMLElement;
    type: number;
    sliceStyle?: CSSStyleDeclaration;
    renderScreen?: Function;
    customCalculateSize?: Function;
    layout?: LayoutConstant;
    extraDoms?: any;
    sliceDomRender?: any;
};
declare class Screen {
    parentDom: HTMLElement;
    dom: HTMLElement | null;
    width: number;
    height: number;
    padding: number;
    margin: number;
    sliceWidthOffset: number;
    sliceHeightOffset: number;
    type: number;
    sliceViewer: SliceViewer | null;
    props: screenProps;
    isHidden: boolean;
    constructor(props: screenProps);
    calculateSize: () => {
        width: number;
        height: number;
        style: any;
    };
    renderText: ({ sliceCanvas, width, height }: {
        sliceCanvas: any;
        width: number;
        height: number;
    }, type: any) => {
        sliceCanvas: HTMLDivElement;
        width: number;
        height: number;
    };
    /**
     * 再向主节点添加dom元素时，准备进行的操作流
     */
    beforeDomInit: () => any[];
    setStyleToDom: (style: any, target: any) => any;
    domInit: () => void;
    resize: () => void;
    getScreenDom: () => HTMLElement;
    setLayout: (layout: any) => void;
    /**
     * slice采用flex布局
     * @param sliceViewer
     */
    setSlice: (sliceViewer: SliceViewer) => void;
    clear: () => void;
}
export default Screen;
