import { fabric } from 'fabric';
import Viewer from '../Viewer';
import ScreenSliceTypes from '../../Volume/Constants/ScreenSliceTypes';
export default class RulerHandler {
    props: any;
    rules: any[];
    currentRuler: any;
    renderLine: any[];
    viewer: Viewer;
    constructor(props: any);
    addRule: (rule: any) => void;
    renderCurrentRuler: (currentRulerData: any, callback: any) => void;
    fabricInsertRuler: (fabric: any, ruler: any) => void;
    setViewer: (viewer: any) => void;
    /**
 * 根据当期的事件和初始事件计算距离，如果是voxel坐标系，需要通过
 * @param currentEvent
 * @returns
 */
    getDistance: (startPoint: any, endPoint: any) => number;
    getLineText: (dis: any, textY: any, textX: any, a: any) => fabric.Text;
    /**
 * 获取辅助线
 */
    getHelpLine: (point: any, degree: any) => fabric.Line;
    getRuler: (startPoint: any, endPoint: any, dis: any) => {
        line: fabric.Line;
        startHelpLine: fabric.Line;
        endHelpLine: fabric.Line;
        lineText: fabric.Text;
    };
    renderRuler: (startPoint: any, endPoint: any, canvas: fabric.Canvas, screenSliceType: ScreenSliceTypes, dis: number) => void;
    fabricRender: (params: any) => {
        renderFinish: ({ canvas, coor, screenSliceType, getAbsolutePointerByPointer }: {
            getAbsolutePointerByPointer: Function;
            canvas: fabric.Canvas;
            coor: number;
            screenSliceType: ScreenSliceTypes;
        }) => void;
    };
}
