import ImageRange from '@/sliceViewer/Volume/ImageRange';
export declare enum ColorMapHandlerModel {
    SECTION = 0,
    ALL = 1
}
declare type RGB = {
    r: number;
    g: number;
    b: number;
    t: number;
};
declare type ColorMap = Array<Array<number>>;
declare class ColorMapHandler {
    allColorMaps: Array<any>;
    lut: ColorMap | null;
    LUTarrayG: Array<number>;
    LUTarrayR: Array<number>;
    LUTarrayB: Array<number>;
    negLUTarrayG: Array<number>;
    negLUTarrayR: Array<number>;
    negLUTarrayB: Array<number>;
    posLUTarrayG: Array<number>;
    posLUTarrayR: Array<number>;
    posLUTarrayB: Array<number>;
    maxLUT: number;
    minLUT: number;
    imageRange: ImageRange;
    lutData: Array<any> | null;
    negLut: Array<any> | null;
    posLut: Array<any> | null;
    knotMin: Array<Array<number>> | null;
    knotMax: Array<Array<number>> | null;
    posMax: number;
    posMin: number;
    negMax: number;
    negMin: number;
    handlerList: Array<Function>;
    model: ColorMapHandlerModel;
    constructor(lutName: String | null, baseImage: number | null, colorMap: ColorMap | null, imageRange: ImageRange, colorMapHandlerModel?: ColorMapHandlerModel | null);
    caulateLUT: (negMin: number, negMax: number, posMin: number, posMax: number) => void;
    /*** Static Methods ***/
    updatePosImageRange: (min: number, max: number) => void;
    updateNegImageRanage: (min: number, max: number) => void;
    /*** Prototype Methods ***/
    updateMinLUT: (minLUTnew: number) => void;
    updateMaxLUT: (maxLUTnew: number) => void;
    /**
     * 根据灰度值的最大值和最小值，以及相关colorMap生成相关rgb3通道色彩图
     * @param minLUTnew
     * @param maxLUTnew
     */
    updateLUT: (minLUTnew: number, maxLUTnew: number) => void;
    /**
      * 根据灰度值的最大值和最小值，以及相关colorMap生成相关rgb3通道色彩图
      * @param minLUTnew
      * @param maxLUTnew
      */
    getLUT: (minLUTnew: number, maxLUTnew: number, lutData: any) => {
        LUTarrayR: any[];
        LUTarrayG: any[];
        LUTarrayB: any[];
    };
    getLUTByAllColor: (minLUTnew: number, maxLUTnew: number, lutData: any) => {
        LUTarrayR: any[];
        LUTarrayG: any[];
        LUTarrayB: any[];
    };
    lookupRed: (index: number) => number;
    lookupGreen: (index: number) => number;
    lookupBlue: (index: number) => number;
    getColorValueByVoxelValue: (value: number, isOverlay: boolean) => any;
    filterVoxelValue: ({ value, rgb, voxelValue, isOverlay }: {
        value: number;
        rgb: RGB;
        voxelValue: number;
        isOverlay: boolean;
    }) => {
        value: any;
        rgb: RGB;
        voxelValue: number;
        isOverlay: boolean;
    };
    addColor: ({ value, rgb, voxelValue, isOverlay }: {
        value: number;
        rgb: RGB;
        voxelValue: number;
        isOverlay: boolean;
    }) => {
        value: number;
        rgb: RGB;
        voxelValue: number;
        isOverlay: boolean;
    };
}
export default ColorMapHandler;
