import ImageRange from "./ImageRange";
declare type RGB = {
    r: number;
    g: number;
    b: number;
    t: number;
};
declare type ColorMap = Array<Array<number>>;
declare class ColorMapHandler {
    allColorMaps: Array<any>;
    lut: ColorMap;
    LUTarrayG: Array<number>;
    LUTarrayR: Array<number>;
    LUTarrayB: Array<number>;
    negLUTarrayG: Array<number>;
    negLUTarrayR: Array<number>;
    negLUTarrayB: Array<number>;
    posLUTarrayG: Array<number>;
    posLUTarrayR: Array<number>;
    posLUTarrayB: Array<number>;
    maxLUT: number;
    minLUT: number;
    imageRange: ImageRange;
    lutData: Array<any> | null;
    negLut: Array<any> | null;
    posLut: Array<any> | null;
    knotMin: Array<Array<number>> | null;
    knotMax: Array<Array<number>> | null;
    posMax: number;
    posMin: number;
    negMax: number;
    negMin: number;
    handlerList: Array<Function>;
    constructor(colorMap: ColorMap, imageRange: ImageRange);
    caulateLUT: (negMin: number, negMax: number, posMin: number, posMax: number) => void;
    /*** Static Methods ***/
    updatePosImageRange: (min: number, max: number) => void;
    updateNegImageRanage: (min: number, max: number) => void;
    getLUTByAllColor: (minLUTnew: number, maxLUTnew: number, lutData: any) => {
        LUTarrayR: any[];
        LUTarrayG: any[];
        LUTarrayB: any[];
    };
    getColorValueByVoxelValue: (value: number, isOverlay: boolean) => any;
    /**
     * 将强度值转化为colorMap的角标
     */
    filterVoxelValue: ({ value, rgb, voxelValue, isOverlay }: {
        value: number;
        rgb: RGB;
        voxelValue: number;
        isOverlay: boolean;
    }) => {
        value: number;
        rgb: RGB;
        voxelValue: number;
        isOverlay: boolean;
    };
    addColor: ({ value, rgb, voxelValue, isOverlay }: {
        value: number;
        rgb: RGB;
        voxelValue: number;
        isOverlay: boolean;
    }) => {
        value: number;
        rgb: RGB;
        voxelValue: number;
        isOverlay: boolean;
    };
}
export default ColorMapHandler;
