/**
 * Uses the new array typed in javascript to binary base64 encode/decode
 * at the moment just decodes a binary base64 encoded
 * into either an ArrayBuffer (decodeArrayBuffer)
 * or into an Uint8Array (decode)
 *
 * References:
 * https://developer.mozilla.org/en/JavaScript_typed_arrays/ArrayBuffer
 * https://developer.mozilla.org/en/JavaScript_typed_arrays/Uint8Array
 */
export default class Base64Binary {
    _keyStr: String;
    constructor();
    decodeArrayBuffer(input: any): ArrayBuffer;
    decode: (input: any, arrayBuffer: any, bytes: any) => any;
}
