import Viewer from '../Viewer';
import MouseTransform from './MouseTransform';
interface MouseProps {
    canvas: HTMLCanvasElement;
    viewerModel: any;
    viewer: Viewer;
    mouseMoveEvent?: Function;
    mouseDownEvent?: Function;
    contextmenuEvent?: Function;
    transformControls: null;
    keyCameraControl?: boolean;
}
declare type coordinate = {
    x: number;
    y: number;
};
export declare enum TransformModel {
    TRANSLATE = "translate",
    ROTATE = "rotate"
}
export declare enum TransformMouseModel {
    X = "x",
    Y = "y",
    Z = "z"
}
export default class Mouse {
    canvas: HTMLCanvasElement;
    last_x: number | null;
    last_y: number | null;
    x: number;
    y: number;
    accuracy: number;
    viewerModel: any;
    movement: String;
    mouseInfo: any;
    viewer: Viewer;
    enabled: boolean;
    props: MouseProps;
    transformControls: any;
    transformControlsEnable: boolean;
    mouseTransform: MouseTransform;
    constructor(props: MouseProps);
    event: () => void;
    handleEvent: (canvas: HTMLCanvasElement) => void;
    mouseDragEnd: () => void;
    mouseDrag: (event: Event) => void;
    drag: (pointer: coordinate, multiplier: number) => void;
    captureMouse(element: HTMLElement): {
        x: number;
        y: number;
        left: boolean;
        middle: boolean;
        right: boolean;
    };
    mouseMoveEvent: (evt: any) => void;
    mouseDownEvent: (evt: any) => void;
    mouseUpEvent: (evt: any) => void;
    contextmenuEvent: (event: any) => void;
    getOffset(element: HTMLElement): {
        top: number;
        left: number;
    };
    updateTransformMouseModel(model: TransformMouseModel): void;
    updateTransformModel(model: TransformModel): void;
    setTransformControlsEnable(value: boolean): void;
}
export {};
