import UploadFile from './UploadFile';
declare class Upload {
    props: any;
    targetUrl: string;
    fileList: any[];
    prepareQueue: any[];
    excuteQueue: UploadFile[];
    finishedQueue: any[];
    status: number;
    maxUploadFileCount: number;
    chunkSize: number;
    fileUploadFinished: any;
    chunkFileUploadProgressChange: any;
    fileUploadProgressChange: any;
    constructor(options?: {});
    /**
     * 如果文件比较大超过一个g,会拆分出一个2M的文件，进行读取（防止文件过大读取失败）
     * 默认文件名不一样，文件也是不一样的
     */
    getFileMd5Key(file: File): Promise<unknown>;
    generateUniqueIdentifier(file: File, extraData: any): Promise<unknown>;
    getChunkCount: (size: number) => number;
    generateUploadUrlList(md5Key: string, file: File, extraData: any): Promise<unknown>;
    addFile(file: File, extraData?: any): Promise<unknown>;
    upload(): void;
    fileUploadProgress: ({ progress, completeNumber, allCount }: any, uploadFile: UploadFile) => void;
    uploadFile(): void;
    getFileFromFilesById(indexId: string): any;
    getFileFromExcuteQueueById(indexId: string): UploadFile;
    /**
     * 根据id暂停文件上传
     * @param indexId
     */
    suspend(indexId: string): boolean;
    /**
     * 根据Id恢复文件上传
     * @param indexId
     */
    resume(indexId: string): boolean;
    /**
     * 根据文件Id取消文件上传
     * @param indexId
     */
    cancelUpload(indexId: string): boolean;
}
export default Upload;
