import UploadStatus from './UploadStatus';
declare type UploadFileProps = {
    file: File;
    md5Key: string;
    chunkSize: number;
    urlList: Array<any>;
    indexId?: string;
    extraData: any;
    onChunkUploadProgress?: Function;
    onUploadProgress?: Function;
};
declare class UploadFile {
    status: UploadStatus;
    file: File;
    md5Key: string;
    props: any;
    urlList: any[];
    chunkSize: number;
    indexId: string;
    onChunkUploadProgress?: Function;
    onUploadProgress?: Function;
    cancelSource: any;
    cancelSources: Array<any>;
    threadCount: number;
    uploadedList: any[];
    extraData: any;
    constructor(props: UploadFileProps);
    postFileProgress: (url: string, params: any, headers?: {
        'Content-Type': string;
    }) => Promise<unknown>;
    upload(): void;
    uploadFile(uploadPromise: any, allCount: number, callback: Function): void;
    cancel(): void;
}
export default UploadFile;
