import React from 'react';
interface waveOption {
    /**
     * @description 波形图的模式：默认为单图
     */
    mode: ["single", "multiple"];
    /**
     * @description 文件类型，默认为meg
     */
    fileType: ["meg", "eeg"];
    /**
     * @description svg的内边距
     */
    margin?: {
        top: number;
        left: number;
        right: number;
        bottom: number;
    };
    /**
     * @description 隐藏横轴刻度
     */
    hideXTick: boolean;
    /**
     * @description 隐藏事件
     */
    hideEvent: boolean;
    /**
     * @description 显示标尺刻度，多图模式下默认不显示
     */
    hasRulerText: boolean;
    /**
     * @description 显示横轴单位时间，多图模式下默认不显示
     */
    hasUnitValue: boolean;
    /**
     * @description 拖拽刷子前的回调
     */
    beforeBrush?: () => void;
    /**
     * @description 拖拽刷子后的回调
     */
    afterBrush?: (limit: [number], timeRange: [number]) => void;
    /**
     * @description 波形图更新前的回调
     */
    onChannelUpdate?: () => void;
    /**
     * @description 右键点击波形图的回调
     */
    onContextmenu?: (time: number, x: number, y: number) => void;
    /**
     * @description 多图模式下单击波形图的回调
     */
    multipleClick?: (time: number) => void;
    /**
     * @description 移动标尺的回调
     */
    rulerMove?: (time: number) => void;
    /**
     * @description 进度条拖拽结束的回调
     */
    onDragEnd?: (start: number, end: number) => void;
}
declare class Doc extends React.Component<waveOption> {
    render(): any;
}
export default Doc;
